lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'pssh_box/version'

Gem::Specification.new do |spec|
  spec.name          = 'pssh_box'
  spec.version       = PsshBox::VERSION
  spec.authors       = ['Catalin Ursachi']
  spec.email         = ['catalin.ursachi@softwire.com']

  spec.summary       = 'A builder for PSSH boxes used in content encryption, as per the specification at'\
    ' https://w3c.github.io/encrypted-media/format-registry/initdata/cenc.html.'
  spec.homepage      = 'https://github.com/catalin-ursachi/pssh_box'
  spec.license       = 'MIT'

  spec.metadata['homepage_uri'] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 2.0'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'

  spec.add_dependency 'ruby-uuid', '~> 0.0.1'
end
